unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, TAGraph, TASeries,
  TATools, TATransformations;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    Chart1LineSeries2: TLineSeries;
    ChartAxisTransformations1: TChartAxisTransformations;
    ChartAxisTransformations1AutoScaleAxisTransform1: TAutoScaleAxisTransform;
    ChartAxisTransformations2: TChartAxisTransformations;
    ChartAxisTransformations2AutoScaleAxisTransform1: TAutoScaleAxisTransform;
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
const
  N1 = 10;
  N2 = 20;
var
  i: Integer;
  x, y: Double;
begin
  for i := 0 to N1-1 do begin
    x := i/(N1-1)*0.1;  // 0 ... 0.1
    y := (x - 0.05)*4; // -0.2 ... 0.2 steigend
    Chart1LineSeries1.AddXY(x, y);
  end;

  for i := 0 to N2-1 do begin
    x := i/(N2-1) * 0.1;    // 0 ... 0.1
    y := (N2-1-i) / (N2-1) * 1.4;  // 1.4 ... 0 (fallend)
    Chart1Lineseries2.AddXY(x, y);
  end;
end;

end.

